# eth\_call

{% hint style="info" %}
1Money primarily utilizes the current method for querying ERC20 token data.
{% endhint %}

### Parameters

* `from`: 20 bytes \[<mark style="color:red;">Required</mark>] Address the transaction is sent from.
* `to`: 20 bytes - Address the transaction is directed to.
* `gas`: Hexadecimal value of the gas provided for the transaction execution. eth\_call consumes zero gas, but this parameter may be needed by some executions.
* `gasPrice`: Hexadecimal value of the gasPrice used for each paid gas.
* `maxPriorityFeePerGas`: Maximum fee, in wei, the sender is willing to pay per gas above the base fee.&#x20;
* `maxFeePerGas`: Maximum total fee (base fee + priority fee), in wei, the sender is willing to pay per gas.&#x20;
* `value`: Hexadecimal of the value sent with this transaction.
* `data`: Hash of the method signature and encoded parameters. See Ethereum contract ABI specification.
* `block parameter`: \[<mark style="color:red;">Required</mark>] A hexadecimal block number, or one of the string tags latest, earliest, pending, safe, or finalized. [See the default block parameter](https://ethereum.org/en/developers/docs/apis/json-rpc/#default-block).

***

### Returns

A hexadecimal of an integer representing the current block number the client is on.

***

### Example

#### Request

```sh
curl -X POST https://testnet.1money.network \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "method": "eth_call", "params": [{"from": "0xb60e8dd61c5d32be8058bb8eb970870f07233155", "to": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "data": "0x70a08231000000000000000000000000CD531Ae9EFCCE479654c4926dec5F6209531Ca7b"}, "latest"], "id": 1}'
```

#### Response

```sh
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x0000000000000000000000000000000000000000000000000000000000f4240"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.1moneynetwork.com/integrations/evm-compatible-rpcs-wip/eth_call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
